package com.pj.api.dto;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 09 01 19 08
 **/
public class BorderBuyGoodsListDto {
    private Long id;

    /**
     * 预申报编号(航通主键)
     */
    private String platSeqNo;

    /**
     * 身份证号
     */
    private String idno;

    /**
     * 购买金额
     */
    private Double buyAmount;

    /**
     * 净重
     */
    private Double netWt;

    /**
     * 毛重
     */
    private Double grossWt;

    /**
     * 购买数量
     */
    private Double buyQty;

    /**
     * 第一数量
     */
    private Double buyQty1;

    /**
     * 第二数量
     */
    private Double buyQty2;

    /**
     * 商品编码
     */
    private String codeTs;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 边民备案号
     */
    private String borderPutrecNo;

    /**
     * 完成状态
     */
    private Integer finishStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getIdno() {
        return idno;
    }

    public void setIdno(String idno) {
        this.idno = idno;
    }

    public Double getBuyAmount() {
        return buyAmount;
    }

    public void setBuyAmount(Double buyAmount) {
        this.buyAmount = buyAmount;
    }

    public Double getNetWt() {
        return netWt;
    }

    public void setNetWt(Double netWt) {
        this.netWt = netWt;
    }

    public Double getGrossWt() {
        return grossWt;
    }

    public void setGrossWt(Double grossWt) {
        this.grossWt = grossWt;
    }

    public Double getBuyQty() {
        return buyQty;
    }

    public void setBuyQty(Double buyQty) {
        this.buyQty = buyQty;
    }

    public Double getBuyQty1() {
        return buyQty1;
    }

    public void setBuyQty1(Double buyQty1) {
        this.buyQty1 = buyQty1;
    }

    public Double getBuyQty2() {
        return buyQty2;
    }

    public void setBuyQty2(Double buyQty2) {
        this.buyQty2 = buyQty2;
    }

    public String getCodeTs() {
        return codeTs;
    }

    public void setCodeTs(String codeTs) {
        this.codeTs = codeTs;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getBorderPutrecNo() {
        return borderPutrecNo;
    }

    public void setBorderPutrecNo(String borderPutrecNo) {
        this.borderPutrecNo = borderPutrecNo;
    }

    public Integer getFinishStatus() {
        return finishStatus;
    }

    public void setFinishStatus(Integer finishStatus) {
        this.finishStatus = finishStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public BorderBuyGoodsListDto(Long id, String platSeqNo, String idno, Double buyAmount, Double netWt, Double grossWt, Double buyQty, Double buyQty1, Double buyQty2, String codeTs, String goodsName, String borderPutrecNo, Integer finishStatus, Date createTime) {
        this.id = id;
        this.platSeqNo = platSeqNo;
        this.idno = idno;
        this.buyAmount = buyAmount;
        this.netWt = netWt;
        this.grossWt = grossWt;
        this.buyQty = buyQty;
        this.buyQty1 = buyQty1;
        this.buyQty2 = buyQty2;
        this.codeTs = codeTs;
        this.goodsName = goodsName;
        this.borderPutrecNo = borderPutrecNo;
        this.finishStatus = finishStatus;
        this.createTime = createTime;
    }

    public BorderBuyGoodsListDto() {
    }
}
